package com.gh.common.provider

import com.gh.download.server.BrowserInstallHelper
import com.gh.gamecenter.core.provider.IBrowserInstallHelperProvider

@com.therouter.inject.ServiceProvider
class BrowserInstallHelperProviderImpl : IBrowserInstallHelperProvider {
    override fun isUseBrowserToInstallEnabled(): Boolean = BrowserInstallHelper.isUseBrowserToInstallEnabled()

    override fun shouldUseBrowserToInstall(): Boolean = BrowserInstallHelper.shouldUseBrowserToInstall()

    override fun logSwitchInstallSettingEvent() {
        BrowserInstallHelper.logOrdinaryBrowserEvent(BrowserInstallHelper.Type.SWITCH_INSTALL_SETTING)
    }
}